//**************************************************************************************************
//                                           PrcKst.hpp                                            *
//                                          ------------                                           *
// Description : Provides an interface to the utility gaw which is a waveform data viewer. The     *
//               user can view the raw simulation data or envoke this utility which plots the data *
//               graphically.                                                                      *
// Started     : 2017-10-17                                                                        *
// Last Update : 2020-08-06                                                                        *
// Copyright   : (C) 2008-2020 MSWaters                                                            *
//**************************************************************************************************

//**************************************************************************************************
//                                                                                                 *
//      This program is free software; you can redistribute it and/or modify it under the          *
//      terms of the GNU General Public License as published by the Free Software Foundation;      *
//      either version 3 of the License, or (at your option) any later version.                    *
//                                                                                                 *
//**************************************************************************************************

#ifndef PRCKST_HPP
#define PRCKST_HPP

// Application Includes

#include "TypeDefs.hpp"
#include "base/PrcBase.hpp"

// wxWidgets Includes

#include <wx/tokenzr.h>

//**************************************************************************************************

class PrcKst : public PrcBase
{
  private :

    wxFileName  m_ofnNameResults;  // The full simulator results file name

    // Functions for reformatting the results file for input to the viewer
    bool  bFilterFile( void );
    wxString  bGetKstArguments( void );

  public :

          PrcKst( void );
         ~PrcKst( );

    bool  bSetResultsFile( const wxString & rosFileName );

    const wxFileName & rofnGetResultsFile( void ) { return( m_ofnNameResults ); }

    virtual  bool  bExec( void );
};

//**************************************************************************************************

#endif // PRCKST_HPP
